com.google.appengine.api.memcache.dev

## Class LocalMemcacheService

- java.lang.Object
- - AbstractLocalRpcService
  - - com.google.appengine.api.memcache.dev.LocalMemcacheService

-     @ServiceProvider(value=)
      public final class LocalMemcacheService
      extends AbstractLocalRpcService

  Java bindings for the local Memcache service. The local cache will by default hold up to 100Mb of combined key-and-value size. That limit can be changed with the init property `memcache.maxsize`, set in megabytes ("100M"), in kilobytes ("102400K"), or in bytes ("104857600").

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PACKAGE` The package name for this service.
    `static java.lang.String` | `SIZE_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMemcacheService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MemcacheBatchIncrementResponse` | `batchIncrement(Status status, MemcacheBatchIncrementRequest batchReq)`
    `MemcacheDeleteResponse` | `delete(Status status, MemcacheDeleteRequest req)`
    `MemcacheFlushResponse` | `flushAll(Status status, MemcacheFlushRequest req)`
    `MemcacheGetResponse` | `get(Status status, MemcacheGetRequest req)`
    `java.lang.Integer` | `getMaxApiRequestSize()`
    `long` | `getMaxSizeInBytes()`
    `java.lang.String` | `getPackage()`
    `MemcacheGrabTailResponse` | `grabTail(Status status, MemcacheGrabTailRequest req)`
    `MemcacheIncrementResponse` | `increment(Status status, MemcacheIncrementRequest req)`
    `void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
    `MemcacheSetResponse` | `set(Status status, MemcacheSetRequest req)`
    `void` | `setLimits(int bytes)` Skips the system properties to set the limit values for size and element counts.
    `void` | `start()`
    `MemcacheStatsResponse` | `stats(Status status, MemcacheStatsRequest req)`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PACKAGE

          public static final java.lang.String PACKAGE

      The package name for this service.
      See Also:
        Constant Field Values

    - #### SIZE_PROPERTY

          public static final java.lang.String SIZE_PROPERTY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LocalMemcacheService

          public LocalMemcacheService()

  - ### Method Detail

    - #### getPackage

          public java.lang.String getPackage()

    - #### init

          public void init(LocalServiceContext context,
                  java.util.Map<java.lang.String,java.lang.String> properties)

    - #### setLimits

          public void setLimits(int bytes)

      Skips the system properties to set the limit values for size and element counts.
      Parameters:
        `bytes` - number of bytes of keys + values that is allowed before old entries are discarded.

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### get

          public MemcacheGetResponse get(Status status,
                                MemcacheGetRequest req)

    - #### grabTail

          public MemcacheGrabTailResponse grabTail(Status status,
                                          MemcacheGrabTailRequest req)

    - #### set

          public MemcacheSetResponse set(Status status,
                                MemcacheSetRequest req)

    - #### delete

          public MemcacheDeleteResponse delete(Status status,
                                      MemcacheDeleteRequest req)

    - #### increment

          public MemcacheIncrementResponse increment(Status status,
                                            MemcacheIncrementRequest req)

    - #### batchIncrement

          public MemcacheBatchIncrementResponse batchIncrement(Status status,
                                                      MemcacheBatchIncrementRequest batchReq)

    - #### flushAll

          public MemcacheFlushResponse flushAll(Status status,
                                       MemcacheFlushRequest req)

    - #### stats

          public MemcacheStatsResponse stats(Status status,
                                    MemcacheStatsRequest req)

    - #### getMaxSizeInBytes

          public long getMaxSizeInBytes()

    - #### getMaxApiRequestSize

          public java.lang.Integer getMaxApiRequestSize()